commit:     ee8a2881948ca8cef510df7a6acdb97cdb6d27f3
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 12 07:24:02 2016 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Oct 12 07:24:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee8a2881

dev-python/flask-socketio: version bump to 2.7.1

Package-Manager: portage-2.3.2

 dev-python/flask-socketio/Manifest                 |  1 +
 .../flask-socketio/flask-socketio-2.7.1.ebuild     | 33 ++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/flask-socketio/Manifest 
b/dev-python/flask-socketio/Manifest
index 12031d0..dfd9c2b 100644
--- a/dev-python/flask-socketio/Manifest
+++ b/dev-python/flask-socketio/Manifest
@@ -1,3 +1,4 @@
 DIST flask-socketio-2.0.tar.gz 8730 SHA256 
f6fb24762d0c6e430f215beb8d62c262816733c4d9726714f9b7badbe1058bb2 SHA512 
2a3e28dce72f448dc763bfe533330a0d80aca82ee5e9b9b6538e66853f809424550a3a005d558d11ae6b89266c3946811b4c8811f04b0e2282390414a9b458f8
 WHIRLPOOL 
19853187d924f74b4b5d6b20e05e3f74b2198853453ea6982878625dd40c75826cb6c001c1e9f07a7a084124fcf2279ac8f5ea307b652ef027fc9fc7a919460d
 DIST flask-socketio-2.1.tar.gz 8888 SHA256 
232674f2fad4b1adaf1d045f89a9688d74a77efc1d4a6a4094f2d16f711e80c4 SHA512 
cc8410c20bd9ad66cd327acdd66cfa741d006c0937a4571d7a2571d0e03d93885f75e9065f2c244e06fd2add4a3997399e92530ff8618de6bad4a57e814284cd
 WHIRLPOOL 
fc1432d4df8ceb891cf02324d7e274efadc4f41fc8060870fd8a6c8efa1df2f984bd1404febc2a164f3638748251d37c3b32a322bc140623d71491d7c9f6ffdb
 DIST flask-socketio-2.2.tar.gz 8906 SHA256 
caf02936196d3923adc75b021031f133e0afd43f1e1d9d5e36c83c00de81c3f3 SHA512 
ba51c53052b8cf56d6f1ec3af82dc996fd8c1bb8d1549fb73c22273b3c2bd3b451e433c25817abd3fa7c59e0543f24596541efcd3b13d3480d15ff5386576d45
 WHIRLPOOL 
f53d0e214ab3f347242504544259ef7ab501233d97f4bf5cf0f4693c2153f99899d027cf6834a2311d605ed39b0972e4e625fe502f9ff97c88156c592280834b
+DIST flask-socketio-2.7.1.tar.gz 12096 SHA256 
93407798fddd7258fdd1fc7f4c50251d2f7cbcc820194312920dac62748d0e65 SHA512 
5666e3077d79d639f40244f914161020d974d403bb0ec6641537e929dc8017fbc3fbf3bfd6df71ca5c86e088b20ae3e91413cd700cc4484872966ce2452e012e
 WHIRLPOOL 
981af192e015f8a52aef8efb4e1f42335688e40f3e0dfe39ec2bceef3929752222b57e9baaeee6426621cbfa2aebc0fc6f2f7dc8e1724950d21ba59eb7f1a53f

diff --git a/dev-python/flask-socketio/flask-socketio-2.7.1.ebuild 
b/dev-python/flask-socketio/flask-socketio-2.7.1.ebuild
new file mode 100644
index 00000000..97dda0a
--- /dev/null
+++ b/dev-python/flask-socketio/flask-socketio-2.7.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_PN="Flask-SocketIO"
+DESCRIPTION="Socket.IO integration for Flask applications."
+HOMEPAGE="https://flask-socketio.readthedocs.org/ 
https://github.com/miguelgrinberg/${MY_PN}/ 
https://pypi.python.org/pypi/${MY_PN}";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND=">=dev-python/flask-0.9[${PYTHON_USEDEP}]
+       dev-python/python-socketio[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/coverage[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+# pypi tarball does not contain tests
+RESTRICT="test"
+
+python_test() {
+       PYTHONPATH="${PWD}" python ./test_socketio.py || die
+}

Reply via email to